- include_role:
    name: commons
    tasks_from: helpers/resolve-component.yaml
  vars:
    obj_apivers: wopla.io/v1beta1
    obj_kind: MailCatcher
- name: Sets MailCatcher CR Facts
  set_fact:
    mailcatcher_namespace: "{{ found_cr.resources[0].metadata.namespace
                                 if (found_cr is defined
                                     and found_cr.resources is defined
                                     and found_cr.resources | length > 0)
                                 else False }}"
    mailcatcher_name: "{{ ('mailcatcher-' ~ found_cr.resources[0].metadata.name)
                            if (found_cr is defined
                                and found_cr.resources is defined
                                and found_cr.resources | length > 0)
                            else False }}"
    mailcatchersmtp_name: "{{ ('mailcatcher-smtp-' ~ found_cr.resources[0].metadata.name)
                                if (found_cr is defined
                                    and found_cr.resources is defined
                                    and found_cr.resources | length > 0)
                                else False }}"
- name: Sets MailCatcher Facts
  set_fact:
    mailcatcher_smtp_address: "{{ found_cr.resources[0].status.smtp_internal | default(False) }}"
    mailcatcher_smtp_public: "{{ found_cr.resources[0].status.smtp_public | default(False) }}"
    mailcatcher_address: "{{ found_cr.resources[0].status.web_internal | default(False) }}"
    mailcatcher_public: "{{ found_cr.resources[0].status.web_public | default(False) }}"
  when:
  - found_cr.resources is defined
  - found_cr.resources | length > 0
  - found_cr.resources[0].status is defined
  - found_cr.resources[0].status.ready is defined
